Closed Bug 470379 Opened 14 years ago Closed 14 years ago

Remove code to upgrade from 1.0 profiles

Categories

(Toolkit :: Add-ons Manager, defect)

defect
Not set
normal

Tracking

()

RESOLVED FIXED
mozilla1.9.2a1

People

(Reporter: mossop, Assigned: mossop)

Details

Attachments

(1 file)

We still have code around that migrates extension data from profiles pre Firefox 1.5. This is mostly redundant now. Removing it will slightly improve the startup time of an updated version and the only downside is that users still upgrading from Firefox 1.0 will lose the disabled state of their add-ons. Of course I highly doubt any of those add-ons will still be compatible anyway.
Attached patch patch rev 1Splinter Review
I think this is just it.
Attachment #353787 - Flags: review?(robert.bugzilla)
Status: NEW → ASSIGNED
Attachment #353787 - Flags: review?(robert.bugzilla) → review+
Landed: http://hg.mozilla.org/mozilla-central/rev/ad74c4b0b33c
Status: ASSIGNED → RESOLVED
Closed: 14 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.2a1
You need to log in before you can comment on or make changes to this bug.